WinDom: _component Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# _component Struct Reference
[Component Library, Component Library]

The WinDom COMPONENT representation structure. More...

`#include <mt_wndm.h>`

## Data Fields
LINKABLE | item
| Managed by WinDom.
short | type
| Component layout type (CLT_* values).
unsigned long | status
| Component status mask (CS_* values).
short | flex
| Flexibility ratio (0 for fixed size).
short | size
| size (for CLT_VERTICAL/CLT_HORIZONTAL) modes)
LGRECT | rect
| Actual component size rectangle.
W_GRAFPORT * | graf
| Component graphics port.
struct {
unsigned long min_width
| minimal component width
unsigned long max_width
| maximal component width
unsigned long min_height
| minimal component height
unsigned long max_height
| maximal component height
} | bounds
| Data internally managed by WinDom.
_component * | parent
| Container reference.
LIST * | children
| Children (FIXME: ?by value?).
LIST | binding
| component handler list - reserved
LIST | data
| component data - reserved

## Detailed Description

The WinDom COMPONENT representation structure.

## Field Documentation

LIST _component::binding

| component handler list - reserved

struct { ... } _component::bounds

| Data internally managed by WinDom.

LIST* _component::children

| Children (FIXME: ?by value?).

LIST _component::data

| component data - reserved

short _component::flex

| Flexibility ratio (0 for fixed size).

W_GRAFPORT* _component::graf

| Component graphics port.

LINKABLE _component::item

| Managed by WinDom.

unsigned long _component::max_height

| maximal component height

unsigned long _component::max_width

| maximal component width

unsigned long _component::min_height

| minimal component height

unsigned long _component::min_width

| minimal component width

struct _component* _component::parent

| Container reference.

LGRECT _component::rect

| Actual component size rectangle.

short _component::size

| size (for CLT_VERTICAL/CLT_HORIZONTAL) modes)

unsigned long _component::status

| Component status mask (CS_* values).

short _component::type

| Component layout type (CLT_* values).

The documentation for this struct was generated from the following file:

- mt_wndm.h